Package org.apache.sysds.lops.rewrite

## Class RewriteAddPrefetchLop

- java.lang.Object
- - org.apache.sysds.lops.rewrite.LopRewriteRule
  - - org.apache.sysds.lops.rewrite.RewriteAddPrefetchLop

    public class RewriteAddPrefetchLop
    extends LopRewriteRule

### Constructor Summary

Constructors
`RewriteAddPrefetchLop()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<StatementBlock>` `rewriteLOPinStatementBlock​(StatementBlock sb)`
`List<StatementBlock>` `rewriteLOPinStatementBlocks​(List<StatementBlock> sbs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RewriteAddPrefetchLop

    public RewriteAddPrefetchLop()

### Method Detail

#### rewriteLOPinStatementBlock

    public List<StatementBlock> rewriteLOPinStatementBlock​(StatementBlock sb)

Specified by:
  `rewriteLOPinStatementBlock` in class `LopRewriteRule`

#### rewriteLOPinStatementBlocks

    public List<StatementBlock> rewriteLOPinStatementBlocks​(List<StatementBlock> sbs)

Specified by:
  `rewriteLOPinStatementBlocks` in class `LopRewriteRule`